### YamlMime:ManagedReference
items:
- uid: Voile.Resources.DataReaders.TomlDataReader
  commentId: T:Voile.Resources.DataReaders.TomlDataReader
  id: TomlDataReader
  parent: Voile.Resources.DataReaders
  children:
  - Voile.Resources.DataReaders.TomlDataReader.#ctor(System.String)
  - Voile.Resources.DataReaders.TomlDataReader.Dispose
  - Voile.Resources.DataReaders.TomlDataReader.ExpectedHeader
  - Voile.Resources.DataReaders.TomlDataReader.GetColor(System.String,Voile.Color)
  - Voile.Resources.DataReaders.TomlDataReader.GetDouble(System.String,System.Double)
  - Voile.Resources.DataReaders.TomlDataReader.GetFloat(System.String,System.Single)
  - Voile.Resources.DataReaders.TomlDataReader.GetInt(System.String,System.Int32)
  - Voile.Resources.DataReaders.TomlDataReader.GetLong(System.String,System.Int64)
  - Voile.Resources.DataReaders.TomlDataReader.GetVector2(System.String,System.Numerics.Vector2)
  - Voile.Resources.DataReaders.TomlDataReader.Read(System.IO.Stream)
  - Voile.Resources.DataReaders.TomlDataReader.Valid
  langs:
  - csharp
  - vb
  name: TomlDataReader
  nameWithType: TomlDataReader
  fullName: Voile.Resources.DataReaders.TomlDataReader
  type: Class
  source:
    remote:
      path: Voile/Source/Resources/DataReaders/TomlDataReader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: TomlDataReader
    path: Source/Resources/DataReaders/TomlDataReader.cs
    startLine: 9
  assemblies:
  - Voile
  namespace: Voile.Resources.DataReaders
  summary: Reads key/value data from a TOML file.
  example: []
  syntax:
    content: 'public class TomlDataReader : IStreamDataReader, IDataValidator, IStreamKeyValueGetter, IDisposable'
    content.vb: Public Class TomlDataReader Implements IStreamDataReader, IDataValidator, IStreamKeyValueGetter, IDisposable
  inheritance:
  - System.Object
  implements:
  - Voile.Resources.DataReaders.IStreamDataReader
  - Voile.Resources.DataReaders.IDataValidator
  - Voile.Resources.DataReaders.IStreamKeyValueGetter
  - System.IDisposable
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
- uid: Voile.Resources.DataReaders.TomlDataReader.ExpectedHeader
  commentId: P:Voile.Resources.DataReaders.TomlDataReader.ExpectedHeader
  id: ExpectedHeader
  parent: Voile.Resources.DataReaders.TomlDataReader
  langs:
  - csharp
  - vb
  name: ExpectedHeader
  nameWithType: TomlDataReader.ExpectedHeader
  fullName: Voile.Resources.DataReaders.TomlDataReader.ExpectedHeader
  type: Property
  source:
    remote:
      path: Voile/Source/Resources/DataReaders/TomlDataReader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: ExpectedHeader
    path: Source/Resources/DataReaders/TomlDataReader.cs
    startLine: 11
  assemblies:
  - Voile
  namespace: Voile.Resources.DataReaders
  syntax:
    content: public string ExpectedHeader { get; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property ExpectedHeader As String
  overload: Voile.Resources.DataReaders.TomlDataReader.ExpectedHeader*
- uid: Voile.Resources.DataReaders.TomlDataReader.#ctor(System.String)
  commentId: M:Voile.Resources.DataReaders.TomlDataReader.#ctor(System.String)
  id: '#ctor(System.String)'
  parent: Voile.Resources.DataReaders.TomlDataReader
  langs:
  - csharp
  - vb
  name: TomlDataReader(string)
  nameWithType: TomlDataReader.TomlDataReader(string)
  fullName: Voile.Resources.DataReaders.TomlDataReader.TomlDataReader(string)
  type: Constructor
  source:
    remote:
      path: Voile/Source/Resources/DataReaders/TomlDataReader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: .ctor
    path: Source/Resources/DataReaders/TomlDataReader.cs
    startLine: 12
  assemblies:
  - Voile
  namespace: Voile.Resources.DataReaders
  syntax:
    content: public TomlDataReader(string expectedHeader)
    parameters:
    - id: expectedHeader
      type: System.String
    content.vb: Public Sub New(expectedHeader As String)
  overload: Voile.Resources.DataReaders.TomlDataReader.#ctor*
  nameWithType.vb: TomlDataReader.New(String)
  fullName.vb: Voile.Resources.DataReaders.TomlDataReader.New(String)
  name.vb: New(String)
- uid: Voile.Resources.DataReaders.TomlDataReader.Read(System.IO.Stream)
  commentId: M:Voile.Resources.DataReaders.TomlDataReader.Read(System.IO.Stream)
  id: Read(System.IO.Stream)
  parent: Voile.Resources.DataReaders.TomlDataReader
  langs:
  - csharp
  - vb
  name: Read(Stream)
  nameWithType: TomlDataReader.Read(Stream)
  fullName: Voile.Resources.DataReaders.TomlDataReader.Read(System.IO.Stream)
  type: Method
  source:
    remote:
      path: Voile/Source/Resources/DataReaders/TomlDataReader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Read
    path: Source/Resources/DataReaders/TomlDataReader.cs
    startLine: 17
  assemblies:
  - Voile
  namespace: Voile.Resources.DataReaders
  summary: Read data from a specified stream.
  example: []
  syntax:
    content: public void Read(Stream data)
    parameters:
    - id: data
      type: System.IO.Stream
      description: Stream with data.
    content.vb: Public Sub Read(data As Stream)
  overload: Voile.Resources.DataReaders.TomlDataReader.Read*
  implements:
  - Voile.Resources.DataReaders.IStreamDataReader.Read(System.IO.Stream)
- uid: Voile.Resources.DataReaders.TomlDataReader.GetInt(System.String,System.Int32)
  commentId: M:Voile.Resources.DataReaders.TomlDataReader.GetInt(System.String,System.Int32)
  id: GetInt(System.String,System.Int32)
  parent: Voile.Resources.DataReaders.TomlDataReader
  langs:
  - csharp
  - vb
  name: GetInt(string, int)
  nameWithType: TomlDataReader.GetInt(string, int)
  fullName: Voile.Resources.DataReaders.TomlDataReader.GetInt(string, int)
  type: Method
  source:
    remote:
      path: Voile/Source/Resources/DataReaders/TomlDataReader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: GetInt
    path: Source/Resources/DataReaders/TomlDataReader.cs
    startLine: 33
  assemblies:
  - Voile
  namespace: Voile.Resources.DataReaders
  summary: Get an int from this data getter.
  example: []
  syntax:
    content: public int GetInt(string key, int defaultValue = 0)
    parameters:
    - id: key
      type: System.String
      description: Key of the value.
    - id: defaultValue
      type: System.Int32
      description: Default value in case this getter fails to get data.
    return:
      type: System.Int32
      description: ''
    content.vb: Public Function GetInt(key As String, defaultValue As Integer = 0) As Integer
  overload: Voile.Resources.DataReaders.TomlDataReader.GetInt*
  implements:
  - Voile.Resources.DataReaders.IStreamKeyValueGetter.GetInt(System.String,System.Int32)
  nameWithType.vb: TomlDataReader.GetInt(String, Integer)
  fullName.vb: Voile.Resources.DataReaders.TomlDataReader.GetInt(String, Integer)
  name.vb: GetInt(String, Integer)
- uid: Voile.Resources.DataReaders.TomlDataReader.GetLong(System.String,System.Int64)
  commentId: M:Voile.Resources.DataReaders.TomlDataReader.GetLong(System.String,System.Int64)
  id: GetLong(System.String,System.Int64)
  parent: Voile.Resources.DataReaders.TomlDataReader
  langs:
  - csharp
  - vb
  name: GetLong(string, long)
  nameWithType: TomlDataReader.GetLong(string, long)
  fullName: Voile.Resources.DataReaders.TomlDataReader.GetLong(string, long)
  type: Method
  source:
    remote:
      path: Voile/Source/Resources/DataReaders/TomlDataReader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: GetLong
    path: Source/Resources/DataReaders/TomlDataReader.cs
    startLine: 57
  assemblies:
  - Voile
  namespace: Voile.Resources.DataReaders
  summary: Get a long from this data getter.
  example: []
  syntax:
    content: public long GetLong(string key, long defaultValue = 0)
    parameters:
    - id: key
      type: System.String
      description: Key of the value.
    - id: defaultValue
      type: System.Int64
      description: Default value in case this getter fails to get data.
    return:
      type: System.Int64
      description: ''
    content.vb: Public Function GetLong(key As String, defaultValue As Long = 0) As Long
  overload: Voile.Resources.DataReaders.TomlDataReader.GetLong*
  implements:
  - Voile.Resources.DataReaders.IStreamKeyValueGetter.GetLong(System.String,System.Int64)
  nameWithType.vb: TomlDataReader.GetLong(String, Long)
  fullName.vb: Voile.Resources.DataReaders.TomlDataReader.GetLong(String, Long)
  name.vb: GetLong(String, Long)
- uid: Voile.Resources.DataReaders.TomlDataReader.GetFloat(System.String,System.Single)
  commentId: M:Voile.Resources.DataReaders.TomlDataReader.GetFloat(System.String,System.Single)
  id: GetFloat(System.String,System.Single)
  parent: Voile.Resources.DataReaders.TomlDataReader
  langs:
  - csharp
  - vb
  name: GetFloat(string, float)
  nameWithType: TomlDataReader.GetFloat(string, float)
  fullName: Voile.Resources.DataReaders.TomlDataReader.GetFloat(string, float)
  type: Method
  source:
    remote:
      path: Voile/Source/Resources/DataReaders/TomlDataReader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: GetFloat
    path: Source/Resources/DataReaders/TomlDataReader.cs
    startLine: 81
  assemblies:
  - Voile
  namespace: Voile.Resources.DataReaders
  summary: Get a float from this data getter.
  example: []
  syntax:
    content: public float GetFloat(string key, float defaultValue = 0)
    parameters:
    - id: key
      type: System.String
      description: Key of the value.
    - id: defaultValue
      type: System.Single
      description: Default value in case this getter fails to get data.
    return:
      type: System.Single
      description: ''
    content.vb: Public Function GetFloat(key As String, defaultValue As Single = 0) As Single
  overload: Voile.Resources.DataReaders.TomlDataReader.GetFloat*
  implements:
  - Voile.Resources.DataReaders.IStreamKeyValueGetter.GetFloat(System.String,System.Single)
  nameWithType.vb: TomlDataReader.GetFloat(String, Single)
  fullName.vb: Voile.Resources.DataReaders.TomlDataReader.GetFloat(String, Single)
  name.vb: GetFloat(String, Single)
- uid: Voile.Resources.DataReaders.TomlDataReader.GetDouble(System.String,System.Double)
  commentId: M:Voile.Resources.DataReaders.TomlDataReader.GetDouble(System.String,System.Double)
  id: GetDouble(System.String,System.Double)
  parent: Voile.Resources.DataReaders.TomlDataReader
  langs:
  - csharp
  - vb
  name: GetDouble(string, double)
  nameWithType: TomlDataReader.GetDouble(string, double)
  fullName: Voile.Resources.DataReaders.TomlDataReader.GetDouble(string, double)
  type: Method
  source:
    remote:
      path: Voile/Source/Resources/DataReaders/TomlDataReader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: GetDouble
    path: Source/Resources/DataReaders/TomlDataReader.cs
    startLine: 106
  assemblies:
  - Voile
  namespace: Voile.Resources.DataReaders
  summary: Get a double from this data getter.
  example: []
  syntax:
    content: public double GetDouble(string key, double defaultValue = 0)
    parameters:
    - id: key
      type: System.String
      description: Key of the value.
    - id: defaultValue
      type: System.Double
      description: Default value in case this getter fails to get data.
    return:
      type: System.Double
      description: ''
    content.vb: Public Function GetDouble(key As String, defaultValue As Double = 0) As Double
  overload: Voile.Resources.DataReaders.TomlDataReader.GetDouble*
  implements:
  - Voile.Resources.DataReaders.IStreamKeyValueGetter.GetDouble(System.String,System.Double)
  nameWithType.vb: TomlDataReader.GetDouble(String, Double)
  fullName.vb: Voile.Resources.DataReaders.TomlDataReader.GetDouble(String, Double)
  name.vb: GetDouble(String, Double)
- uid: Voile.Resources.DataReaders.TomlDataReader.GetColor(System.String,Voile.Color)
  commentId: M:Voile.Resources.DataReaders.TomlDataReader.GetColor(System.String,Voile.Color)
  id: GetColor(System.String,Voile.Color)
  parent: Voile.Resources.DataReaders.TomlDataReader
  langs:
  - csharp
  - vb
  name: GetColor(string, Color)
  nameWithType: TomlDataReader.GetColor(string, Color)
  fullName: Voile.Resources.DataReaders.TomlDataReader.GetColor(string, Voile.Color)
  type: Method
  source:
    remote:
      path: Voile/Source/Resources/DataReaders/TomlDataReader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: GetColor
    path: Source/Resources/DataReaders/TomlDataReader.cs
    startLine: 128
  assemblies:
  - Voile
  namespace: Voile.Resources.DataReaders
  summary: Get a Voile.Color from this data getter.
  example: []
  syntax:
    content: public Color GetColor(string key, Color defaultValue)
    parameters:
    - id: key
      type: System.String
      description: Key of the value.
    - id: defaultValue
      type: Voile.Color
      description: Default value in case this getter fails to get data.
    return:
      type: Voile.Color
      description: ''
    content.vb: Public Function GetColor(key As String, defaultValue As Color) As Color
  overload: Voile.Resources.DataReaders.TomlDataReader.GetColor*
  implements:
  - Voile.Resources.DataReaders.IStreamKeyValueGetter.GetColor(System.String,Voile.Color)
  nameWithType.vb: TomlDataReader.GetColor(String, Color)
  fullName.vb: Voile.Resources.DataReaders.TomlDataReader.GetColor(String, Voile.Color)
  name.vb: GetColor(String, Color)
- uid: Voile.Resources.DataReaders.TomlDataReader.GetVector2(System.String,System.Numerics.Vector2)
  commentId: M:Voile.Resources.DataReaders.TomlDataReader.GetVector2(System.String,System.Numerics.Vector2)
  id: GetVector2(System.String,System.Numerics.Vector2)
  parent: Voile.Resources.DataReaders.TomlDataReader
  langs:
  - csharp
  - vb
  name: GetVector2(string, Vector2)
  nameWithType: TomlDataReader.GetVector2(string, Vector2)
  fullName: Voile.Resources.DataReaders.TomlDataReader.GetVector2(string, System.Numerics.Vector2)
  type: Method
  source:
    remote:
      path: Voile/Source/Resources/DataReaders/TomlDataReader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: GetVector2
    path: Source/Resources/DataReaders/TomlDataReader.cs
    startLine: 181
  assemblies:
  - Voile
  namespace: Voile.Resources.DataReaders
  summary: Get a System.Numerics.Vector2 from this data getter.
  example: []
  syntax:
    content: public Vector2 GetVector2(string key, Vector2 defaultValue)
    parameters:
    - id: key
      type: System.String
      description: Key of the value.
    - id: defaultValue
      type: System.Numerics.Vector2
      description: Default value in case this getter fails to get data.
    return:
      type: System.Numerics.Vector2
      description: ''
    content.vb: Public Function GetVector2(key As String, defaultValue As Vector2) As Vector2
  overload: Voile.Resources.DataReaders.TomlDataReader.GetVector2*
  implements:
  - Voile.Resources.DataReaders.IStreamKeyValueGetter.GetVector2(System.String,System.Numerics.Vector2)
  nameWithType.vb: TomlDataReader.GetVector2(String, Vector2)
  fullName.vb: Voile.Resources.DataReaders.TomlDataReader.GetVector2(String, System.Numerics.Vector2)
  name.vb: GetVector2(String, Vector2)
- uid: Voile.Resources.DataReaders.TomlDataReader.Valid
  commentId: M:Voile.Resources.DataReaders.TomlDataReader.Valid
  id: Valid
  parent: Voile.Resources.DataReaders.TomlDataReader
  langs:
  - csharp
  - vb
  name: Valid()
  nameWithType: TomlDataReader.Valid()
  fullName: Voile.Resources.DataReaders.TomlDataReader.Valid()
  type: Method
  source:
    remote:
      path: Voile/Source/Resources/DataReaders/TomlDataReader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Valid
    path: Source/Resources/DataReaders/TomlDataReader.cs
    startLine: 207
  assemblies:
  - Voile
  namespace: Voile.Resources.DataReaders
  summary: Determines if data specified is valid and can be safely read.
  example: []
  syntax:
    content: public bool Valid()
    return:
      type: System.Boolean
      description: Returns true if data is valid.
    content.vb: Public Function Valid() As Boolean
  overload: Voile.Resources.DataReaders.TomlDataReader.Valid*
  implements:
  - Voile.Resources.DataReaders.IDataValidator.Valid
- uid: Voile.Resources.DataReaders.TomlDataReader.Dispose
  commentId: M:Voile.Resources.DataReaders.TomlDataReader.Dispose
  id: Dispose
  parent: Voile.Resources.DataReaders.TomlDataReader
  langs:
  - csharp
  - vb
  name: Dispose()
  nameWithType: TomlDataReader.Dispose()
  fullName: Voile.Resources.DataReaders.TomlDataReader.Dispose()
  type: Method
  source:
    remote:
      path: Voile/Source/Resources/DataReaders/TomlDataReader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Dispose
    path: Source/Resources/DataReaders/TomlDataReader.cs
    startLine: 209
  assemblies:
  - Voile
  namespace: Voile.Resources.DataReaders
  summary: Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.
  example: []
  syntax:
    content: public void Dispose()
    content.vb: Public Sub Dispose()
  overload: Voile.Resources.DataReaders.TomlDataReader.Dispose*
  implements:
  - System.IDisposable.Dispose
references:
- uid: Voile.Resources.DataReaders
  commentId: N:Voile.Resources.DataReaders
  href: Voile.html
  name: Voile.Resources.DataReaders
  nameWithType: Voile.Resources.DataReaders
  fullName: Voile.Resources.DataReaders
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Resources
    name: Resources
    href: Voile.Resources.html
  - name: .
  - uid: Voile.Resources.DataReaders
    name: DataReaders
    href: Voile.Resources.DataReaders.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Resources
    name: Resources
    href: Voile.Resources.html
  - name: .
  - uid: Voile.Resources.DataReaders
    name: DataReaders
    href: Voile.Resources.DataReaders.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: Voile.Resources.DataReaders.IStreamDataReader
  commentId: T:Voile.Resources.DataReaders.IStreamDataReader
  parent: Voile.Resources.DataReaders
  href: Voile.Resources.DataReaders.IStreamDataReader.html
  name: IStreamDataReader
  nameWithType: IStreamDataReader
  fullName: Voile.Resources.DataReaders.IStreamDataReader
- uid: Voile.Resources.DataReaders.IDataValidator
  commentId: T:Voile.Resources.DataReaders.IDataValidator
  parent: Voile.Resources.DataReaders
  href: Voile.Resources.DataReaders.IDataValidator.html
  name: IDataValidator
  nameWithType: IDataValidator
  fullName: Voile.Resources.DataReaders.IDataValidator
- uid: Voile.Resources.DataReaders.IStreamKeyValueGetter
  commentId: T:Voile.Resources.DataReaders.IStreamKeyValueGetter
  parent: Voile.Resources.DataReaders
  href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html
  name: IStreamKeyValueGetter
  nameWithType: IStreamKeyValueGetter
  fullName: Voile.Resources.DataReaders.IStreamKeyValueGetter
- uid: System.IDisposable
  commentId: T:System.IDisposable
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.idisposable
  name: IDisposable
  nameWithType: IDisposable
  fullName: System.IDisposable
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: Voile.Resources.DataReaders.TomlDataReader.ExpectedHeader*
  commentId: Overload:Voile.Resources.DataReaders.TomlDataReader.ExpectedHeader
  href: Voile.Resources.DataReaders.TomlDataReader.html#Voile_Resources_DataReaders_TomlDataReader_ExpectedHeader
  name: ExpectedHeader
  nameWithType: TomlDataReader.ExpectedHeader
  fullName: Voile.Resources.DataReaders.TomlDataReader.ExpectedHeader
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: Voile.Resources.DataReaders.TomlDataReader.#ctor*
  commentId: Overload:Voile.Resources.DataReaders.TomlDataReader.#ctor
  href: Voile.Resources.DataReaders.TomlDataReader.html#Voile_Resources_DataReaders_TomlDataReader__ctor_System_String_
  name: TomlDataReader
  nameWithType: TomlDataReader.TomlDataReader
  fullName: Voile.Resources.DataReaders.TomlDataReader.TomlDataReader
  nameWithType.vb: TomlDataReader.New
  fullName.vb: Voile.Resources.DataReaders.TomlDataReader.New
  name.vb: New
- uid: Voile.Resources.DataReaders.TomlDataReader.Read*
  commentId: Overload:Voile.Resources.DataReaders.TomlDataReader.Read
  href: Voile.Resources.DataReaders.TomlDataReader.html#Voile_Resources_DataReaders_TomlDataReader_Read_System_IO_Stream_
  name: Read
  nameWithType: TomlDataReader.Read
  fullName: Voile.Resources.DataReaders.TomlDataReader.Read
- uid: Voile.Resources.DataReaders.IStreamDataReader.Read(System.IO.Stream)
  commentId: M:Voile.Resources.DataReaders.IStreamDataReader.Read(System.IO.Stream)
  parent: Voile.Resources.DataReaders.IStreamDataReader
  isExternal: true
  href: Voile.Resources.DataReaders.IStreamDataReader.html#Voile_Resources_DataReaders_IStreamDataReader_Read_System_IO_Stream_
  name: Read(Stream)
  nameWithType: IStreamDataReader.Read(Stream)
  fullName: Voile.Resources.DataReaders.IStreamDataReader.Read(System.IO.Stream)
  spec.csharp:
  - uid: Voile.Resources.DataReaders.IStreamDataReader.Read(System.IO.Stream)
    name: Read
    href: Voile.Resources.DataReaders.IStreamDataReader.html#Voile_Resources_DataReaders_IStreamDataReader_Read_System_IO_Stream_
  - name: (
  - uid: System.IO.Stream
    name: Stream
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.io.stream
  - name: )
  spec.vb:
  - uid: Voile.Resources.DataReaders.IStreamDataReader.Read(System.IO.Stream)
    name: Read
    href: Voile.Resources.DataReaders.IStreamDataReader.html#Voile_Resources_DataReaders_IStreamDataReader_Read_System_IO_Stream_
  - name: (
  - uid: System.IO.Stream
    name: Stream
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.io.stream
  - name: )
- uid: System.IO.Stream
  commentId: T:System.IO.Stream
  parent: System.IO
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.io.stream
  name: Stream
  nameWithType: Stream
  fullName: System.IO.Stream
- uid: System.IO
  commentId: N:System.IO
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.IO
  nameWithType: System.IO
  fullName: System.IO
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.IO
    name: IO
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.io
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.IO
    name: IO
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.io
- uid: Voile.Resources.DataReaders.TomlDataReader.GetInt*
  commentId: Overload:Voile.Resources.DataReaders.TomlDataReader.GetInt
  href: Voile.Resources.DataReaders.TomlDataReader.html#Voile_Resources_DataReaders_TomlDataReader_GetInt_System_String_System_Int32_
  name: GetInt
  nameWithType: TomlDataReader.GetInt
  fullName: Voile.Resources.DataReaders.TomlDataReader.GetInt
- uid: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetInt(System.String,System.Int32)
  commentId: M:Voile.Resources.DataReaders.IStreamKeyValueGetter.GetInt(System.String,System.Int32)
  parent: Voile.Resources.DataReaders.IStreamKeyValueGetter
  isExternal: true
  href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html#Voile_Resources_DataReaders_IStreamKeyValueGetter_GetInt_System_String_System_Int32_
  name: GetInt(string, int)
  nameWithType: IStreamKeyValueGetter.GetInt(string, int)
  fullName: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetInt(string, int)
  nameWithType.vb: IStreamKeyValueGetter.GetInt(String, Integer)
  fullName.vb: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetInt(String, Integer)
  name.vb: GetInt(String, Integer)
  spec.csharp:
  - uid: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetInt(System.String,System.Int32)
    name: GetInt
    href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html#Voile_Resources_DataReaders_IStreamKeyValueGetter_GetInt_System_String_System_Int32_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.Int32
    name: int
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: )
  spec.vb:
  - uid: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetInt(System.String,System.Int32)
    name: GetInt
    href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html#Voile_Resources_DataReaders_IStreamKeyValueGetter_GetInt_System_String_System_Int32_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.Int32
    name: Integer
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: )
- uid: System.Int32
  commentId: T:System.Int32
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.int32
  name: int
  nameWithType: int
  fullName: int
  nameWithType.vb: Integer
  fullName.vb: Integer
  name.vb: Integer
- uid: Voile.Resources.DataReaders.TomlDataReader.GetLong*
  commentId: Overload:Voile.Resources.DataReaders.TomlDataReader.GetLong
  href: Voile.Resources.DataReaders.TomlDataReader.html#Voile_Resources_DataReaders_TomlDataReader_GetLong_System_String_System_Int64_
  name: GetLong
  nameWithType: TomlDataReader.GetLong
  fullName: Voile.Resources.DataReaders.TomlDataReader.GetLong
- uid: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetLong(System.String,System.Int64)
  commentId: M:Voile.Resources.DataReaders.IStreamKeyValueGetter.GetLong(System.String,System.Int64)
  parent: Voile.Resources.DataReaders.IStreamKeyValueGetter
  isExternal: true
  href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html#Voile_Resources_DataReaders_IStreamKeyValueGetter_GetLong_System_String_System_Int64_
  name: GetLong(string, long)
  nameWithType: IStreamKeyValueGetter.GetLong(string, long)
  fullName: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetLong(string, long)
  nameWithType.vb: IStreamKeyValueGetter.GetLong(String, Long)
  fullName.vb: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetLong(String, Long)
  name.vb: GetLong(String, Long)
  spec.csharp:
  - uid: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetLong(System.String,System.Int64)
    name: GetLong
    href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html#Voile_Resources_DataReaders_IStreamKeyValueGetter_GetLong_System_String_System_Int64_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.Int64
    name: long
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int64
  - name: )
  spec.vb:
  - uid: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetLong(System.String,System.Int64)
    name: GetLong
    href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html#Voile_Resources_DataReaders_IStreamKeyValueGetter_GetLong_System_String_System_Int64_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.Int64
    name: Long
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int64
  - name: )
- uid: System.Int64
  commentId: T:System.Int64
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.int64
  name: long
  nameWithType: long
  fullName: long
  nameWithType.vb: Long
  fullName.vb: Long
  name.vb: Long
- uid: Voile.Resources.DataReaders.TomlDataReader.GetFloat*
  commentId: Overload:Voile.Resources.DataReaders.TomlDataReader.GetFloat
  href: Voile.Resources.DataReaders.TomlDataReader.html#Voile_Resources_DataReaders_TomlDataReader_GetFloat_System_String_System_Single_
  name: GetFloat
  nameWithType: TomlDataReader.GetFloat
  fullName: Voile.Resources.DataReaders.TomlDataReader.GetFloat
- uid: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetFloat(System.String,System.Single)
  commentId: M:Voile.Resources.DataReaders.IStreamKeyValueGetter.GetFloat(System.String,System.Single)
  parent: Voile.Resources.DataReaders.IStreamKeyValueGetter
  isExternal: true
  href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html#Voile_Resources_DataReaders_IStreamKeyValueGetter_GetFloat_System_String_System_Single_
  name: GetFloat(string, float)
  nameWithType: IStreamKeyValueGetter.GetFloat(string, float)
  fullName: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetFloat(string, float)
  nameWithType.vb: IStreamKeyValueGetter.GetFloat(String, Single)
  fullName.vb: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetFloat(String, Single)
  name.vb: GetFloat(String, Single)
  spec.csharp:
  - uid: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetFloat(System.String,System.Single)
    name: GetFloat
    href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html#Voile_Resources_DataReaders_IStreamKeyValueGetter_GetFloat_System_String_System_Single_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.Single
    name: float
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.single
  - name: )
  spec.vb:
  - uid: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetFloat(System.String,System.Single)
    name: GetFloat
    href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html#Voile_Resources_DataReaders_IStreamKeyValueGetter_GetFloat_System_String_System_Single_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.Single
    name: Single
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.single
  - name: )
- uid: System.Single
  commentId: T:System.Single
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.single
  name: float
  nameWithType: float
  fullName: float
  nameWithType.vb: Single
  fullName.vb: Single
  name.vb: Single
- uid: Voile.Resources.DataReaders.TomlDataReader.GetDouble*
  commentId: Overload:Voile.Resources.DataReaders.TomlDataReader.GetDouble
  href: Voile.Resources.DataReaders.TomlDataReader.html#Voile_Resources_DataReaders_TomlDataReader_GetDouble_System_String_System_Double_
  name: GetDouble
  nameWithType: TomlDataReader.GetDouble
  fullName: Voile.Resources.DataReaders.TomlDataReader.GetDouble
- uid: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetDouble(System.String,System.Double)
  commentId: M:Voile.Resources.DataReaders.IStreamKeyValueGetter.GetDouble(System.String,System.Double)
  parent: Voile.Resources.DataReaders.IStreamKeyValueGetter
  isExternal: true
  href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html#Voile_Resources_DataReaders_IStreamKeyValueGetter_GetDouble_System_String_System_Double_
  name: GetDouble(string, double)
  nameWithType: IStreamKeyValueGetter.GetDouble(string, double)
  fullName: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetDouble(string, double)
  nameWithType.vb: IStreamKeyValueGetter.GetDouble(String, Double)
  fullName.vb: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetDouble(String, Double)
  name.vb: GetDouble(String, Double)
  spec.csharp:
  - uid: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetDouble(System.String,System.Double)
    name: GetDouble
    href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html#Voile_Resources_DataReaders_IStreamKeyValueGetter_GetDouble_System_String_System_Double_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.Double
    name: double
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.double
  - name: )
  spec.vb:
  - uid: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetDouble(System.String,System.Double)
    name: GetDouble
    href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html#Voile_Resources_DataReaders_IStreamKeyValueGetter_GetDouble_System_String_System_Double_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.Double
    name: Double
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.double
  - name: )
- uid: System.Double
  commentId: T:System.Double
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.double
  name: double
  nameWithType: double
  fullName: double
  nameWithType.vb: Double
  fullName.vb: Double
  name.vb: Double
- uid: Voile.Resources.DataReaders.TomlDataReader.GetColor*
  commentId: Overload:Voile.Resources.DataReaders.TomlDataReader.GetColor
  href: Voile.Resources.DataReaders.TomlDataReader.html#Voile_Resources_DataReaders_TomlDataReader_GetColor_System_String_Voile_Color_
  name: GetColor
  nameWithType: TomlDataReader.GetColor
  fullName: Voile.Resources.DataReaders.TomlDataReader.GetColor
- uid: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetColor(System.String,Voile.Color)
  commentId: M:Voile.Resources.DataReaders.IStreamKeyValueGetter.GetColor(System.String,Voile.Color)
  parent: Voile.Resources.DataReaders.IStreamKeyValueGetter
  isExternal: true
  href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html#Voile_Resources_DataReaders_IStreamKeyValueGetter_GetColor_System_String_Voile_Color_
  name: GetColor(string, Color)
  nameWithType: IStreamKeyValueGetter.GetColor(string, Color)
  fullName: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetColor(string, Voile.Color)
  nameWithType.vb: IStreamKeyValueGetter.GetColor(String, Color)
  fullName.vb: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetColor(String, Voile.Color)
  name.vb: GetColor(String, Color)
  spec.csharp:
  - uid: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetColor(System.String,Voile.Color)
    name: GetColor
    href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html#Voile_Resources_DataReaders_IStreamKeyValueGetter_GetColor_System_String_Voile_Color_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: Voile.Color
    name: Color
    href: Voile.Color.html
  - name: )
  spec.vb:
  - uid: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetColor(System.String,Voile.Color)
    name: GetColor
    href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html#Voile_Resources_DataReaders_IStreamKeyValueGetter_GetColor_System_String_Voile_Color_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: Voile.Color
    name: Color
    href: Voile.Color.html
  - name: )
- uid: Voile.Color
  commentId: T:Voile.Color
  parent: Voile
  href: Voile.Color.html
  name: Color
  nameWithType: Color
  fullName: Voile.Color
- uid: Voile
  commentId: N:Voile
  href: Voile.html
  name: Voile
  nameWithType: Voile
  fullName: Voile
- uid: Voile.Resources.DataReaders.TomlDataReader.GetVector2*
  commentId: Overload:Voile.Resources.DataReaders.TomlDataReader.GetVector2
  href: Voile.Resources.DataReaders.TomlDataReader.html#Voile_Resources_DataReaders_TomlDataReader_GetVector2_System_String_System_Numerics_Vector2_
  name: GetVector2
  nameWithType: TomlDataReader.GetVector2
  fullName: Voile.Resources.DataReaders.TomlDataReader.GetVector2
- uid: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetVector2(System.String,System.Numerics.Vector2)
  commentId: M:Voile.Resources.DataReaders.IStreamKeyValueGetter.GetVector2(System.String,System.Numerics.Vector2)
  parent: Voile.Resources.DataReaders.IStreamKeyValueGetter
  isExternal: true
  href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html#Voile_Resources_DataReaders_IStreamKeyValueGetter_GetVector2_System_String_System_Numerics_Vector2_
  name: GetVector2(string, Vector2)
  nameWithType: IStreamKeyValueGetter.GetVector2(string, Vector2)
  fullName: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetVector2(string, System.Numerics.Vector2)
  nameWithType.vb: IStreamKeyValueGetter.GetVector2(String, Vector2)
  fullName.vb: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetVector2(String, System.Numerics.Vector2)
  name.vb: GetVector2(String, Vector2)
  spec.csharp:
  - uid: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetVector2(System.String,System.Numerics.Vector2)
    name: GetVector2
    href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html#Voile_Resources_DataReaders_IStreamKeyValueGetter_GetVector2_System_String_System_Numerics_Vector2_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.Numerics.Vector2
    name: Vector2
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.numerics.vector2
  - name: )
  spec.vb:
  - uid: Voile.Resources.DataReaders.IStreamKeyValueGetter.GetVector2(System.String,System.Numerics.Vector2)
    name: GetVector2
    href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html#Voile_Resources_DataReaders_IStreamKeyValueGetter_GetVector2_System_String_System_Numerics_Vector2_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.Numerics.Vector2
    name: Vector2
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.numerics.vector2
  - name: )
- uid: System.Numerics.Vector2
  commentId: T:System.Numerics.Vector2
  parent: System.Numerics
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.numerics.vector2
  name: Vector2
  nameWithType: Vector2
  fullName: System.Numerics.Vector2
- uid: System.Numerics
  commentId: N:System.Numerics
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Numerics
  nameWithType: System.Numerics
  fullName: System.Numerics
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Numerics
    name: Numerics
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.numerics
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Numerics
    name: Numerics
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.numerics
- uid: Voile.Resources.DataReaders.TomlDataReader.Valid*
  commentId: Overload:Voile.Resources.DataReaders.TomlDataReader.Valid
  href: Voile.Resources.DataReaders.TomlDataReader.html#Voile_Resources_DataReaders_TomlDataReader_Valid
  name: Valid
  nameWithType: TomlDataReader.Valid
  fullName: Voile.Resources.DataReaders.TomlDataReader.Valid
- uid: Voile.Resources.DataReaders.IDataValidator.Valid
  commentId: M:Voile.Resources.DataReaders.IDataValidator.Valid
  parent: Voile.Resources.DataReaders.IDataValidator
  href: Voile.Resources.DataReaders.IDataValidator.html#Voile_Resources_DataReaders_IDataValidator_Valid
  name: Valid()
  nameWithType: IDataValidator.Valid()
  fullName: Voile.Resources.DataReaders.IDataValidator.Valid()
  spec.csharp:
  - uid: Voile.Resources.DataReaders.IDataValidator.Valid
    name: Valid
    href: Voile.Resources.DataReaders.IDataValidator.html#Voile_Resources_DataReaders_IDataValidator_Valid
  - name: (
  - name: )
  spec.vb:
  - uid: Voile.Resources.DataReaders.IDataValidator.Valid
    name: Valid
    href: Voile.Resources.DataReaders.IDataValidator.html#Voile_Resources_DataReaders_IDataValidator_Valid
  - name: (
  - name: )
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: Voile.Resources.DataReaders.TomlDataReader.Dispose*
  commentId: Overload:Voile.Resources.DataReaders.TomlDataReader.Dispose
  href: Voile.Resources.DataReaders.TomlDataReader.html#Voile_Resources_DataReaders_TomlDataReader_Dispose
  name: Dispose
  nameWithType: TomlDataReader.Dispose
  fullName: Voile.Resources.DataReaders.TomlDataReader.Dispose
- uid: System.IDisposable.Dispose
  commentId: M:System.IDisposable.Dispose
  parent: System.IDisposable
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.idisposable.dispose
  name: Dispose()
  nameWithType: IDisposable.Dispose()
  fullName: System.IDisposable.Dispose()
  spec.csharp:
  - uid: System.IDisposable.Dispose
    name: Dispose
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.idisposable.dispose
  - name: (
  - name: )
  spec.vb:
  - uid: System.IDisposable.Dispose
    name: Dispose
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.idisposable.dispose
  - name: (
  - name: )
